# Sets the height of the rectangular area at the bottom of the screen that expands
# the progress bar and shows playback time information when the mouse is hovered
# over it.
hover-zone-height=40

# Sets the height of the rectangular area at the top of the screen that shows the
# file name and system time when the mouse is hovered over it.
top-hover-zone-height=40

# Acts as a multiplier to increase the size of every UI element. Useful for high-
# DPI displays that cause the UI to be rendered too small (happens at least on
# macOS).
display-scale-factor=1

# Default style that is applied to all UI elements. A string of ASS override tags.
# Individual elements have their own style settings which override the tags here.
# Changing the font will likely require changing the hover-time margin settings
# and the offscreen-pos settings.
# 
# Here are some useful ASS override tags (omit square brackets):
# \fn[Font Name]: sets the font to the named font.
# \fs[number]: sets the font size to the given number.
# \b[1/0]: sets the text bold or not (\b1 is bold, \b0 is regular weight).
# \i[1/0]: sets the text italic or not (same semantics as bold).
# \bord[number]: sets the outline width to the given number (in pixels).
# \shad[number]: sets the shadow size to the given number (pixels).
# \c&H[BBGGRR]&: sets the fill color for the text to the given color (hex pairs in
# 	             the order, blue, green, red).
# \3c&H[BBGGRR]&: sets the outline color of the text to the given color.
# \4c&H[BBGGRR]&: sets the shadow color of the text to the given color.
# \alpha&H[AA]&: sets the line's transparency as a hex pair. 00 is fully opaque
#                and FF is fully transparent. Some UI elements are composed of
#                multiple layered lines, so adding transparency may not look good.
#                For further granularity, \1a&H[AA]& controls the fill opacity,
#                \3a&H[AA]& controls the outline opacity, and \4a&H[AA]& controls
#                the shadow opacity.
default-style=\fnIBM Plex Mono\b1\bord2\shad0\fs30\c&HFC799E&\3c&H2D2D2D&

# Controls whether or not the progress bar is drawn at all. If this is disabled,
# it also (naturally) disables the click-to-seek functionality.
enable-bar=yes

# Causes the bar to not be drawn unless the mouse is hovering over it or a
# request-display call is active. This is somewhat redundant with setting bar-
# height-inactive=0, except that it can allow for very rudimentary context-
# sensitive behavior because it can be toggled at runtime. For example, by using
# the binding `f cycle pause; script-binding progressbar/toggle-inactive-bar`, it
# is possible to have the bar be persistently present only in windowed or
# fullscreen contexts, depending on the default setting.
bar-hide-inactive=no

# Sets the height of the bar display when the mouse is not in the active zone and
# there is no request-display active. A value of 0 or less will cause bar-hide-
# inactive to be set to true and the bar height to be set to 1. This should result
# in the desired behavior while avoiding annoying debug logging in mpv (libass
# does not like zero-height objects).
bar-height-inactive=3

# Sets the height of the bar display when the mouse is in the active zone or
# request-display is active. There is no logic attached to this, so 0 or negative
# values may have unexpected results.
bar-height-active=8

# If greater than zero, changes the progress bar style to be a small segment
# rather than a continuous bar and sets its width.
progress-bar-width=0

# Affects precision of seeks due to clicks on the progress bar. Should be 'exact' or
# 'keyframes'. Exact is slightly slower, but won't jump around between two
# different times when clicking in the same place.
# 
# Actually, this gets passed directly into the `seek` command, so the value can be
# any of the arguments supported by mpv, though the ones above are the only ones
# that really make sense.
seek-precision=exact

# Causes the progress bar background layer to automatically size itself to the
# tallest of the cache or progress bars. Useful for improving contrast but can
# make the bar take up more screen space. Has no effect if the cache bar height is
# less than the bar height.
bar-background-adaptive=yes

# Placement of the cache bar. Valid values are 'overlay' and 'underlay'.
# 
# 'overlay' causes the cache bar to be drawn on top of the foreground layer of the
# bar, allowing the display of seek ranges that have already been encountered.
# 
# 'underlay' draws the cache bar between the foreground and background layers. Any
# demuxer cache ranges that are prior to the current playback point will not be
# shown. This matches the previous behavior.
bar-cache-position=overlay

# Sets the height of the cache bar display when the mouse is not in the active
# zone and there is no request-display active. Useful in combination with bar-
# cache-position to control whether or not the cache bar is occluded by (or
# occludes) the progress bar.
bar-cache-height-inactive=1.5

# Sets the height of the cache bar display when the mouse is in the active zone or
# request-display is active. Useful in combination with bar-cache- position to
# control whether or not the cache bar is occluded by (or occludes) the progress
# bar.
bar-cache-height-active=4

# A string of ASS override tags that get applied to all three layers of the bar:
# progress, cache, and background. You probably don't want to remove \bord0 unless
# your default-style includes it.
bar-default-style=\bord0\shad0

# A string of ASS override tags that get applied only to the progress layer of the
# bar.
bar-foreground-style=

# A string of ASS override tags that get applied only to the cache layer of the
# bar, particularly the part of the cache bar that is behind the current playback
# position. The default sets only the color.
bar-cache-style=\c&H697374&

# A string of ASS override tags that get applied only to the cache layer of the
# bar, particularly the part of the cache bar that is after the current playback
# position. The tags specified here are applied after bar-cache-style and override
# them. Leaving this blank will leave the style the same as specified by bar-
# cache-style. The split does not account for a nonzero progress-bar-width and may
# look odd when used in tandem with that setting.
bar-cache-background-style=

# A string of ASS override tags that get applied only to the background layer of
# the bar. The default sets only the color.
bar-background-style=\c&H000000&

# Sets whether or not the elapsed time is displayed at all.
enable-elapsed-time=yes

# A string of ASS override tags that get applied only to the elapsed time display.
elapsed-style=

# Controls how far from the left edge of the window the elapsed time display is
# positioned.
elapsed-left-margin=4

# Controls how far above the expanded progress bar the elapsed time display is
# positioned.
elapsed-bottom-margin=0

# Sets whether or not the remaining time is displayed at all.
enable-remaining-time=yes

# A string of ASS override tags that get applied only to the remaining time
# display.
remaining-style=

# Controls how far from the right edge of the window the remaining time display is
# positioned.
remaining-right-margin=4

# Controls how far above the expanded progress bar the remaining time display is
# positioned.
remaining-bottom-margin=0

# Sets whether or not the calculated time corresponding to the mouse position
# is displayed when the mouse hovers over the progress bar.
enable-hover-time=yes

# A string of ASS override tags that get applied only to the hover time display.
# Unfortunately, due to the way the hover time display is animated, alpha values
# set here will be overridden. This is subject to change in future versions.
hover-time-style=\fs26

# Controls how close to the left edge of the window the hover time display can
# get. If this value is too small, it will end up overlapping the elapsed time
# display.
hover-time-left-margin=120

# Controls how close to the right edge of the window the hover time display can
# get. If this value is too small, it will end up overlapping the remaining time
# display.
hover-time-right-margin=130

# Controls how far above the expanded progress bar the remaining time display is
# positioned.
hover-time-bottom-margin=0

# Sets whether or not the video title is displayed at all.
enable-title=yes

# A string of ASS override tags that get applied only to the video title display.
title-style=

# Controls how far from the left edge of the window the video title display is
# positioned.
title-left-margin=4

# Controls how far from the top edge of the window the video title display is
# positioned.
title-top-margin=0

# Controls whether or not the script logs the video title and playlist position
# to the console every time a new video starts.
title-print-to-cli=yes

# Sets whether or not the system time is displayed at all.
enable-system-time=yes

# A string of ASS override tags that get applied only to the system time display.
system-time-style=

# Sets the format used for the system time display. This must be a strftime-
# compatible format string.
system-time-format=%H:%M

# Controls how far from the right edge of the window the system time display is
# positioned.
system-time-right-margin=4

# Controls how far from the top edge of the window the system time display is
# positioned.
system-time-top-margin=0

# Sets whether or not the pause indicator is displayed. The pause indicator is a
# momentary icon that flashes in the middle of the screen, similar to youtube.
pause-indicator=yes

# A string of ASS override tags that get applied only to the foreground of the
# pause indicator.
pause-indicator-foreground-style=\c&HFC799E&

# A string of ASS override tags that get applied only to the background of the
# pause indicator.
pause-indicator-background-style=\c&H2D2D2D&

# Sets whether or not the progress bar is decorated with chapter markers. Due to
# the way the chapter markers are currently implemented, videos with a large
# number of chapters may slow down the script somewhat, but I have yet to run
# into this being a problem.
enable-chapter-markers=yes

# Controls the width of each chapter marker when the progress bar is inactive.
chapter-marker-width=2

# Controls the width of each chapter marker when the progress bar is active.
chapter-marker-width-active=4

# Modifies the height of the chapter markers when the progress bar is active. Acts
# as a multiplier on the height of the active progress bar. A value greater than 1
# will cause the markers to be taller than the expanded progress bar, whereas a
# value less than 1 will cause them to be shorter.
chapter-marker-active-height-fraction=1

# A string of ASS override tags that get applied only to chapter markers that have
# not yet been passed.
chapter-marker-before-style=\c&HFC799E&

# A string of ASS override tags that get applied only to chapter markers that have
# already been passed.
chapter-marker-after-style=\c&H2D2D2D&

# Sets the amount of time in seconds that the UI stays on the screen after it
# receives a request-display signal. A value of 0 will keep the display on screen
# only as long as the key bound to it is held down.
request-display-duration=0

# Controls how often the display is redrawn, in seconds. This does not seem to
# significantly affect the smoothness of animations, and it is subject to the
# accuracy limits imposed by the scheduler mpv uses. Probably not worth changing
# unless you have major performance problems.
redraw-period=0.03

# Controls how long the UI animations take. A value of 0 disables all animations
# (which breaks the pause indicator).
animation-duration=0.25

# Controls how far off the left side of the window the elapsed time display tries
# to move when it is inactive. If you use a non-default font, this value may need
# to be tweaked. If this value is not far enough off-screen, the elapsed display
# will disappear without animating all the way off-screen. Positive values will
# cause the display to animate the wrong direction.
elapsed-offscreen-pos=-100

# Controls how far off the left side of the window the remaining time display
# tries to move when it is inactive. If you use a non-default font, this value may
# need to be tweaked. If this value is not far enough off-screen, the elapsed
# display will disappear without animating all the way off-screen. Positive values
# will cause the display to animate the wrong direction.
remaining-offscreen-pos=-100

# Controls how far off the bottom of the window the mouse hover time display tries
# to move when it is inactive. If you use a non-default font, this value may need
# to be tweaked. If this value is not far enough off-screen, the elapsed
# display will disappear without animating all the way off-screen. Positive values
# will cause the display to animate the wrong direction.
hover-time-offscreen-pos=-50

# Controls how far off the left side of the window the system time display tries
# to move when it is inactive. If you use a non-default font, this value may need
# to be tweaked. If this value is not far enough off-screen, the elapsed display
# will disappear without animating all the way off-screen. Positive values will
# cause the display to animate the wrong direction.
system-time-offscreen-pos=-100

# Controls how far off the left side of the window the video title display tries
# to move when it is inactive. If you use a non-default font, this value may need
# to be tweaked. If this value is not far enough off-screen, the elapsed display
# will disappear without animating all the way off-screen. Positive values will
# cause the display to animate the wrong direction.
title-offscreen-pos=-40


